public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/ucspi-ssl/
Date: Fri,  3 Dec 2021 04:50:38 +0000 (UTC)	[thread overview]
Message-ID: <1638507023.b9d4c0b7e53d4aafbdc4b8614d888875486f3772.sam@gentoo> (raw)

commit:     b9d4c0b7e53d4aafbdc4b8614d888875486f3772
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri Dec  3 04:45:57 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Dec  3 04:50:23 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9d4c0b7

sys-apps/ucspi-ssl: adapt for OpenSSL bindist changes

OpenSSL no longer has a bindist flag.

Bug: https://bugs.gentoo.org/762850
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/ucspi-ssl/ucspi-ssl-0.99e-r2.ebuild | 61 ++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

diff --git a/sys-apps/ucspi-ssl/ucspi-ssl-0.99e-r2.ebuild b/sys-apps/ucspi-ssl/ucspi-ssl-0.99e-r2.ebuild
new file mode 100644
index 000000000000..af9a8b306679
--- /dev/null
+++ b/sys-apps/ucspi-ssl/ucspi-ssl-0.99e-r2.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit fixheadtails qmail
+
+DESCRIPTION="Command-line tools for building SSL client-server applications"
+HOMEPAGE="https://www.fehcom.de/ipnet/ucspi-ssl.html"
+SRC_URI="https://www.fehcom.de/ipnet/ucspi-ssl/${P}.tgz"
+
+LICENSE="public-domain"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="bindist perl"
+
+DEPEND="
+	dev-libs/openssl:=
+	perl? ( dev-lang/perl:= )"
+RDEPEND="${DEPEND}
+	sys-apps/ucspi-tcp"
+
+S="${WORKDIR}"/host/superscript.com/net/${P}
+
+PATCHES=( "${FILESDIR}"/${P}-fno-common.patch )
+
+src_prepare() {
+	ht_fix_all
+
+	sed -i -e 's:auto:gcc:' conf-cc || die
+	sed -i -e 's:-m64::' conf-ld || die
+	qmail_set_cc
+
+	echo "/usr/bin" > conf-tcpbin || die
+	echo "/usr/share/ca-certificates/" > conf-cadir || die
+	echo "${QMAIL_HOME}/control/dh1024.pem" > conf-dhfile || die
+	echo "/usr/" > src/home || die
+	sed -i -e 's:HOME/command:/usr/bin:' \
+		src/sslcat.sh src/sslconnect.sh src/https\@.sh || die
+
+	# workaround: SSL_TXT_ECDH is always set in openssl/ssl.h, even with openssl[bindist]
+	#sed -i -e 's:SSL_TXT_ECDH:ENABLE_SSL_TXT_ECDH:' src/ucspissl.h src/ssl_params.c conf-ecdh || die
+
+	default
+}
+
+src_compile() {
+	cd src || die
+	emake sysdeps
+	emake uint32.h
+	emake
+}
+
+src_install() {
+	dodoc -r doc/.
+	doman man/*
+
+	cd src || die
+	dobin $(<../package/commands-base)
+	use perl && dobin $(<../package/commands-sslperl)
+}


             reply	other threads:[~2021-12-03  4:50 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-12-03  4:50 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2022-04-17 19:17 [gentoo-commits] repo/gentoo:master commit in: sys-apps/ucspi-ssl/ Sam James
2021-12-16  0:09 Sam James
2021-06-17 22:18 Thomas Deutschmann
2021-06-17 20:32 Thomas Deutschmann
2021-05-01 10:14 Mikle Kolyada
2020-10-06 15:00 Sam James
2020-08-05 14:06 Agostino Sarubbo
2020-08-05 14:01 Agostino Sarubbo
2020-08-03 16:34 Sergei Trofimovich
2020-08-02 12:04 Sergei Trofimovich
2020-08-02 11:48 Sergei Trofimovich
2020-07-19 10:43 Joonas Niilola
2019-05-21  0:29 Stefan Strogin
2018-11-14 16:29 Robin H. Johnson
2018-07-28  0:53 Mikle Kolyada
2017-04-08 21:32 Patrice Clement
2016-12-29 12:56 David Seifert
2016-12-21 13:58 Patrice Clement
2016-12-21 13:58 Patrice Clement
2016-12-21 13:58 Patrice Clement
2016-04-03 10:19 Ian Delaney

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1638507023.b9d4c0b7e53d4aafbdc4b8614d888875486f3772.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox